Skip to main content
POST
/
v1
/
qa
/
questions
Upload Question Bank API
curl --request POST \
  --url 'https://api.askmiso.com/v1/qa/questions?api_key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "question": "<string>",
      "weight": 1
    }
  ]
}
'
{
  "data": {
    "took": 0,
    "miso_id": "123e4567-e89b-12d3-a456-426614174000"
  },
  "message": "success"
}

Authorizations

api_key
string
query
required

Your secret API key is used to access every Miso API endpoint. You should secure this key and only use it on a backend server. Never leave this key in your client-side JavaScript code. If the private key is compromised, you can revoke it in Dojo and get a new one.

Specify your secret key in the api_key query parameter. For example:

POST /v1/users?api_key=039c501ac8dfcac91c6f05601cee876e1cc07e17

Body

application/json

Post questions request

data
Question · object[]
required

Response

Successful Response

data
BaseBody · object
required
message
string
default:success